﻿@model IEnumerable<ClientHealthItem>
@{
    int i = 0;
    bool isMarried = ViewBag.IsMarried;
    IEnumerable<SelectListItem> EmploymentOf = ViewBag.EmploymentOf;
    string ClientName = EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Client).ToString()).Text;
    string SpouseName = isMarried ? EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Spouse).ToString()).Text : string.Empty;
}
<div class="wizard-content-height">
    <form asp-action="saveHealthAssesment" class="form fv-plugins-bootstrap fv-plugins-framework" style="background-color:white" id="HealthAssesment_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizard">
        <div class="d-flex justify-content-between mb-5">
            <div>
                <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Personal Health Assessment</h4>
            </div>
            <div>
                <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
            </div>
        </div>
        <p>
            Health information may seem like an odd topic, but it is quite an important part of preparing a sound financial plan.  This type of information may influence planning strategies that are available to you as well as how the planning may be structured.  Your health information may help estimate life expectancy for planning purposes and determine the potential eligibility and costs for long term care insurance, disability insurance, life insurance, or life settlements.   The following questions are designed to get a very high level perspective on your health situation only.
            Check all that apply.
        </p>
        <div class="table-responsive">
            <table class="table table-sm table-bordered planning-table">
                <thead class="bg-default">
                    <tr>
                        <th class="pl-5 min-w-300px">Health Assessment</th>
                        <th class="text-center min-w-100px">
                            @ClientName
                        </th>
                        @if (isMarried)
                        {
                            <th class="text-center min-w-100px">@SpouseName</th>
                        }
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        <tr>
                            <td class="pl-5">
                                <input type="hidden" value="@item.Id" name="clientHealthItem[@i].Id" />
                                <input type="hidden" value="@item.Guid" name="clientHealthItem[@i].Guid" />
                                <input type="hidden" value="@item.DescriptionItemId" name="clientHealthItem[@i].DescriptionItemId" />
                                @item.DescriptionItems.itemDesc
                            </td>
                            <td align="center">
                                <span class="switch switch-icon switch-sm switch-custom justify-content-center">
                                    <label>
                                        <input type="checkbox" asp-for="@item.isClientActive" name="clientHealthItem[@i].isClientActive" />
                                        <span></span>
                                    </label>
                                </span>
                            </td>
                            @if (isMarried)
                            {
                                <td align="center">
                                    <span class="switch switch-icon switch-sm switch-custom justify-content-center">
                                        <label>
                                            <input type="checkbox" asp-for="@item.isSpouseActive" name="clientHealthItem[@i].isSpouseActive" />
                                            <span></span>
                                        </label>
                                    </span>
                                </td>
                            }
                        </tr>
                        i++;
                    }
                </tbody>
            </table>
        </div>
        <p>
            LifeArcPlan™ is neither a Healthcare Plan/Provider nor a Business Associate of a Healthcare
            Plan or Provider. LifeArcPlan™ is not subject to HIPAA disclosure requirements.
        </p>
        <partial name="_WizardFooter" />
    </form>
</div>